Closed Bug 917984 Opened 6 years ago Closed 5 years ago

Run steeplechase HTML tests with different Firefox version pairs

Categories

(Testing :: General, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: ted, Unassigned)

References

(Blocks 1 open bug)

Details

ekr says that we had a recent regression in interop that we could have caught by testing the current Firefox against an older release. This shouldn't be very hard to shoehorn into the existing steeplechase setup, so once we get onchange tests running we should look into this. As a first cut we would just try running tests with the current version (onchange build) vs. older stable releases (Firefox 24/23/etc).
Depends on: 1023828
I pushed a simple fix in bug 1023828 that lets us pass --binary and --binary2 arguments to the Steeplechase harness, so we have the ability to do this now. We'd need to wrangle the CI scripts to accomodate.
This works now in Steeplechase.
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → FIXED
Component: New Frameworks → General
You need to log in before you can comment on or make changes to this bug.